.\" $NetBSD: sti.8,v 1.5 2008/04/30 13:11:03 martin Exp $
.\"
.\" Copyright (c) 2005 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christos Zoulas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 10, 2005
.Dt STI 8
.Os
.Sh NAME
.Nm sti
.Nd Simulate Terminal Input: send characters to a tty device
.Sh SYNOPSIS
.Nm
.Ar tty
.Op Ar string ...
.Sh DESCRIPTION
.Nm
will send the provided
.Ar string
to the
.Ar tty
specified in the command line using
.Xr ioctl 2
.Dv TIOCSTI ,
or send the standard input if no
.Ar string
is supplied.
This
.Xr ioctl 2
is limited to the superuser.
.Pp
The
.Ar string
is interpreted using
.Xr unvis 3 .
.Sh SEE ALSO
.Xr ioctl 2 ,
.Xr unvis 3
.Sh HISTORY
The
.Nm
first appeared at
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
command was written by
.An Christos Zoulas
.Aq christos@NetBSD.org .
